// This file is part of the brownmove simulation package
// 
// V1.1  Oct 2010
// 
// (C) 2003 - 2010 Tihamer Geyer
// tihamer.geyer@bioinformatik.uni-saarland.de
// 
// Check for Updates at the Project Homepage 
// http://service.bioinformatik.uni-saarland.de/brownmove



#include "moleculehandler.h"

namespace brown {
	MoleculeHandler::MoleculeHandler(string newLabel) {
		myWallsPosition = NULL;
		myWallsNormal   = NULL;
		myWallsYAxis    = NULL;
		myWallsZAxis    = NULL;
		
		myWallsCup      = NULL;
		
		label = newLabel;
		
		maskY0   = 0.0;
		maskZ0   = 0.0;
		maskdY   = 0.0;
		maskdZ   = 0.0;
		maskArea = 0.0;
	}
	
	MoleculeHandler::MoleculeHandler(const MoleculeHandler &other) {
		myWallsPosition = other.myWallsPosition;
		myWallsNormal   = other.myWallsNormal;
		myWallsYAxis    = other.myWallsYAxis;
		myWallsZAxis    = other.myWallsZAxis;
		
		myWallsCup      = other.myWallsCup;
		
		label = other.label;
		
		maskY0 = other.maskY0;
		maskZ0 = other.maskZ0;
		maskdY = other.maskdY;
		maskdZ = other.maskdZ;
		maskArea = other.maskArea;
	}
	

}
