// This file is part of the brownmove simulation package
// 
// V1.1  Oct 2010
// 
// (C) 2003 - 2010 Tihamer Geyer
// tihamer.geyer@bioinformatik.uni-saarland.de
// 
// Check for Updates at the Project Homepage 
// http://service.bioinformatik.uni-saarland.de/brownmove


#include "random.h"


using namespace std;

// needs to be declared here to survive the initialization
gsl_rng *gsl_random_gen;

namespace brown{
	
	void init_ran()
	{
		unsigned long int zeit;
		zeit = (unsigned long int)(time(0L));		// read system clock
		
		gsl_random_gen = gsl_rng_alloc(RNG_TYPE);	// allocate the RNG
		gsl_rng_set(gsl_random_gen, zeit);			// seed it with the time
	}
	
	
	void random_seed(unsigned long int s) { 
		gsl_rng_set(gsl_random_gen, s); 
	}
	
	
	void exit_ran() { 
		gsl_rng_free(gsl_random_gen); 
	}
	
	
	double ran2() { 
		return(gsl_rng_uniform(gsl_random_gen)); 
	}
	
	
	double exp_ran(double &t0) {
		return(gsl_ran_exponential(gsl_random_gen, t0));
	}
	
	
	double gaussran() {
		double sigma = 1.0;
		return(gsl_ran_gaussian(gsl_random_gen, sigma));
	}
	
	
} // namespace brown
